﻿using System;
using System.Globalization;
using System.Windows.Data;

namespace Hardcodet.Wpf.Converters
{
  /// <summary>
  /// Inverts boolean values.
  /// </summary>
  [ValueConversion(typeof (bool), typeof (bool))]
  internal class BoolInversionConverter : ConverterExtension
  {
    public override object Convert(object value, Type targetType, object parameter, CultureInfo culture)
    {
      bool status = (bool?) value ?? false;
      return !status;
    }


    public override object ConvertBack(object value, Type targetType, object parameter, CultureInfo culture)
    {
      bool status = (bool?) value ?? false;
      return !status;
    }
  }
}