﻿using System;
using System.Globalization;
using System.Windows.Data;

namespace Hardcodet.Wpf.Converters
{
  /// <summary>
  /// Returns true if the input value is not null.
  /// </summary>
  [ValueConversion(typeof (object), typeof (bool))]
  public class IsNotNullConverter : ConverterExtension
  {
    public override object Convert(object value, Type targetType, object parameter, CultureInfo culture)
    {
      return value != null;
    }
  }
}