﻿using System;
using System.Globalization;
using System.Windows.Data;

namespace Hardcodet.Wpf.Converters
{
  /// <summary>
  /// Returns white-space characters around a given string.
  /// </summary>
  [ValueConversion(typeof (string), typeof (string))]
  public class TrimConverter : ConverterExtension
  {
    public override object Convert(object value, Type targetType, object parameter, CultureInfo culture)
    {
      string val = value as string;
      return val == null ? value : val.Trim();
    }
  }
}